Bug 997933 - [abrt] bsd-games-2.17-38.fc19: linkdata: Process /usr/bin/adventure was killed by signal 11 (SIGSEGV)
[abrt] bsd-games-2.17-38.fc19: linkdata: Process /usr/bin/adventure was kille...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: bsd-games (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jeff Makey
Fedora Extras Quality Assurance
abrt_hash:7e11f2378d18e622972973e3fc6...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-16 10:35 EDT by Joshua Allen Holm
Modified: 2013-09-06 21:28 EDT (History)
2 users (show)

See Also:
Fixed In Version: bsd-games-2.17-42.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-06 21:24:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (2.34 KB, text/plain)
2013-08-16 10:35 EDT, Joshua Allen Holm
no flags Details
File: cgroup (140 bytes, text/plain)
2013-08-16 10:35 EDT, Joshua Allen Holm
no flags Details
File: core_backtrace (1.06 KB, text/plain)
2013-08-16 10:35 EDT, Joshua Allen Holm
no flags Details
File: dso_list (231 bytes, text/plain)
2013-08-16 10:35 EDT, Joshua Allen Holm
no flags Details
File: environ (3.73 KB, text/plain)
2013-08-16 10:35 EDT, Joshua Allen Holm
no flags Details
File: exploitable (82 bytes, text/plain)
2013-08-16 10:36 EDT, Joshua Allen Holm
no flags Details
File: limits (1.29 KB, text/plain)
2013-08-16 10:36 EDT, Joshua Allen Holm
no flags Details
File: maps (1.47 KB, text/plain)
2013-08-16 10:36 EDT, Joshua Allen Holm
no flags Details
File: open_fds (105 bytes, text/plain)
2013-08-16 10:36 EDT, Joshua Allen Holm
no flags Details
File: proc_pid_status (928 bytes, text/plain)
2013-08-16 10:36 EDT, Joshua Allen Holm
no flags Details
File: var_log_messages (300 bytes, text/plain)
2013-08-16 10:36 EDT, Joshua Allen Holm
no flags Details

  None (edit)
Description Joshua Allen Holm 2013-08-16 10:35:19 EDT
Description of problem:
Tried to run 'adventure'; it crashed "Segmentation fault (core dumped)" immediately.

Tried running it in konsole, xterm, etc. the result is always the same. Adventure crashes on startup.

Version-Release number of selected component:
bsd-games-2.17-38.fc19

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        adventure
crash_function: linkdata
executable:     /usr/bin/adventure
kernel:         3.10.6-200.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
[New LWP 8127]
Core was generated by `adventure'.
Program terminated with signal 11, Segmentation fault.
#0  0x0000000000402f67 in linkdata () at adventure/init.c:158
158			if (ltext[i].seekadr != 0 && travel[i] != 0)

Thread 1 (LWP 8127):
#0  0x0000000000402f67 in linkdata () at adventure/init.c:158
        i = <optimized out>
#1  0x0000000000402f9e in init () at adventure/init.c:132
No locals.
#2  0x0000000000400e77 in main (argc=1, argv=0x7fff24bdd728) at adventure/main.c:80
        i = <optimized out>
        rval = <optimized out>
        ll = <optimized out>
        kk = <optimized out>
From                To                  Syms Read   Shared Object Library
0x0000003e18e1f410  0x0000003e18f61d30  Yes         /lib64/libc.so.6
0x0000003e18a00ae0  0x0000003e18a1ac3a  Yes         /lib64/ld-linux-x86-64.so.2
$1 = 0x0
No symbol "__glib_assert_msg" in current context.
rax            0x90c	2316
rbx            0x3e8	1000
rcx            0x3e191b9118	266709209368
rdx            0x0	0
rsi            0x7fff24bdd5cc	140733809808844
rdi            0x3e191b9700	266709210880
rbp            0x1	0x1
rsp            0x7fff24bdd608	0x7fff24bdd608
r8             0x3e191b910c	266709209356
r9             0x3e191b9160	266709209440
r10            0x20	32
r11            0x0	0
r12            0x7fff24bdd728	140733809809192
r13            0x7fff24bdd720	140733809809184
r14            0x0	0
r15            0x0	0
rip            0x402f67	0x402f67 <linkdata+23>
eflags         0x10206	[ PF IF RF ]
cs             0x33	51
ss             0x2b	43
ds             0x0	0
es             0x0	0
fs             0x0	0
gs             0x0	0
Dump of assembler code for function linkdata:
   0x0000000000402f50 <+0>:	xor    %eax,%eax
   0x0000000000402f52 <+2>:	jmp    0x402f5c <linkdata+12>
   0x0000000000402f54 <+4>:	nopl   0x0(%rax)
   0x0000000000402f58 <+8>:	add    $0x4,%rax
   0x0000000000402f5c <+12>:	cmpq   $0x0,0x61ae70(,%rax,4)
   0x0000000000402f65 <+21>:	je     0x402f58 <linkdata+8>
=> 0x0000000000402f67 <+23>:	mov    0x61dde8(%rax,%rax,1),%rdx
   0x0000000000402f6f <+31>:	test   %rdx,%rdx
   0x0000000000402f72 <+34>:	je     0x402f58 <linkdata+8>
   0x0000000000402f74 <+36>:	cmpl   $0x1,0x10(%rdx)
   0x0000000000402f78 <+40>:	jne    0x402f58 <linkdata+8>
   0x0000000000402f7a <+42>:	movl   $0x2,0x61a4e4(%rax)
   0x0000000000402f84 <+52>:	jmp    0x402f58 <linkdata+8>
End of assembler dump.
Comment 1 Joshua Allen Holm 2013-08-16 10:35:25 EDT
Created attachment 787286 [details]
File: backtrace
Comment 2 Joshua Allen Holm 2013-08-16 10:35:31 EDT
Created attachment 787287 [details]
File: cgroup
Comment 3 Joshua Allen Holm 2013-08-16 10:35:40 EDT
Created attachment 787288 [details]
File: core_backtrace
Comment 4 Joshua Allen Holm 2013-08-16 10:35:45 EDT
Created attachment 787289 [details]
File: dso_list
Comment 5 Joshua Allen Holm 2013-08-16 10:35:55 EDT
Created attachment 787290 [details]
File: environ
Comment 6 Joshua Allen Holm 2013-08-16 10:36:00 EDT
Created attachment 787291 [details]
File: exploitable
Comment 7 Joshua Allen Holm 2013-08-16 10:36:04 EDT
Created attachment 787292 [details]
File: limits
Comment 8 Joshua Allen Holm 2013-08-16 10:36:09 EDT
Created attachment 787293 [details]
File: maps
Comment 9 Joshua Allen Holm 2013-08-16 10:36:13 EDT
Created attachment 787294 [details]
File: open_fds
Comment 10 Joshua Allen Holm 2013-08-16 10:36:18 EDT
Created attachment 787295 [details]
File: proc_pid_status
Comment 11 Joshua Allen Holm 2013-08-16 10:36:24 EDT
Created attachment 787296 [details]
File: var_log_messages
Comment 12 Fedora Update System 2013-08-27 12:41:34 EDT
bsd-games-2.17-42.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/bsd-games-2.17-42.fc18
Comment 13 Fedora Update System 2013-08-27 12:41:44 EDT
bsd-games-2.17-42.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/bsd-games-2.17-42.fc19
Comment 14 Fedora Update System 2013-08-28 17:26:28 EDT
Package bsd-games-2.17-42.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing bsd-games-2.17-42.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-15437/bsd-games-2.17-42.fc19
then log in and leave karma (feedback).
Comment 15 Fedora Update System 2013-09-06 21:24:31 EDT
bsd-games-2.17-42.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2013-09-06 21:28:10 EDT
bsd-games-2.17-42.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.